> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Trading Dayahead Prices



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/trading/dayahead/prices
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/trading/dayahead/prices:
    get:
      tags:
        - Trading
      summary: Retrieve Trading Dayahead Prices
      operationId: >-
        integrations_api_api_v2_organizations_trading_dayahead_prices_router_retrieve_trading_dayahead_prices
      parameters:
        - in: query
          name: from_dt
          schema:
            format: date-time
            title: From Dt
            type: string
          required: true
        - in: query
          name: to_dt
          schema:
            format: date-time
            title: To Dt
            type: string
          required: true
        - in: query
          name: price_zone
          schema:
            enum:
              - AT
              - AT_HOURLY
              - BE
              - CH
              - EE
              - DE_LU
              - HU
              - IT_CNOR
              - IT_CSUD
              - IT_NORD
              - IT_PUN
              - IT_SARD
              - IT_SICI
              - IT_SUD
              - PT
              - RO
              - SE_1
              - SE_2
              - SE_3
              - SE_4
              - UK
            title: PriceZone
            type: string
          required: true
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOutput'
      security:
        - OAuth2: []
components:
  schemas:
    GetOutput:
      properties:
        metadata:
          $ref: '#/components/schemas/GetOutputMetadata'
        data:
          items:
            $ref: '#/components/schemas/GetOutputData'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: GetOutput
      type: object
    GetOutputMetadata:
      properties:
        query:
          $ref: '#/components/schemas/GetOutputMetadataQuery'
        error:
          const: null
          title: Error
          type: 'null'
      required:
        - query
      title: GetOutputMetadata
      type: object
    GetOutputData:
      properties:
        timestamp:
          format: date-time
          title: Timestamp
          type: string
        price:
          title: Price
          type: number
      required:
        - timestamp
        - price
      title: GetOutputData
      type: object
    GetOutputMetadataQuery:
      properties:
        org_id:
          title: Org Id
          type: string
        from_dt:
          format: date-time
          title: From Dt
          type: string
        to_dt:
          format: date-time
          title: To Dt
          type: string
        price_zone:
          title: Price Zone
          type: string
      required:
        - org_id
        - from_dt
        - to_dt
        - price_zone
      title: GetOutputMetadataQuery
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````